API ReferenceContractor
Update contractor
PATCH
Update contractor
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringContractor identifier
The updated Contractor resource
- body
name?stringLength
length <= 120fullName?|Length
length <= 200vatId?|Length
length <= 20paymentDays?int|nulldescription?|Length
length <= 255locations?array<>tags?array<>industryBranches?array<>contactInfo?array<>email?|Length
length <= 255accountingEmail?|Length
length <= 255phoneNumber?|Length
length <= 20validateVatId?booleanDefault
truecustomFieldValues?array<>Contractor resource updated
- response
id?stringFormat
uuidname?stringLength
length <= 120fullName?|Length
length <= 200pictureSm?|Length
length <= 255pictureLg?|Length
length <= 255vatId?|Length
length <= 20paymentDays?int|nulldescription?|Length
length <= 255locations?array<>attendants?array<>tags?array<>industryBranches?array<>contactInfo?array<>email?|Length
length <= 255accountingEmail?|Length
length <= 255phoneNumber?|Length
length <= 20defaultLocation?|Length
length <= 255shortCode?stringLength
6 <= length <= 6canManage?booleanDefault
falsecurl -X PATCH 'https://app.icproject.com/api/instance/demo/crm/contractors/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "fullName": "string", "pictureSm": "string", "pictureLg": "string", "vatId": "string", "paymentDays": null, "description": "string", "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "countryCode": "st", "province": "string", "district": "string", "community": "string", "street": "string", "buildingNumber": "string", "localNumber": "string", "town": "string", "zipCode": "string", "isDefault": false } ], "attendants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attendantId": "455e8778-8976-4b27-a381-e822a5c78121", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" } ], "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "industryBranches": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "contactInfo": [ { "type": "string", "value": "string", "isDefault": true } ], "email": "string", "accountingEmail": "string", "phoneNumber": "string", "defaultLocation": "string", "shortCode": "string", "canManage": false}